org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryGetHistory

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<T>
  - - org.tmatesoft.svn.core.wc2.SvnReceivingOperation<T>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation<SVNAdminPath>
      - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryGetHistory

All Implemented Interfaces:
  ISvnObjectReceiver<SVNAdminPath>, ISvnOperationOptionsProvider

    public class SvnRepositoryGetHistory
    extends SvnRepositoryReceivingOperation<SVNAdminPath>

### Constructor Summary

Constructors
Constructor and Description
`SvnRepositoryGetHistory(SvnOperationFactory factory)`

### Method Summary

Methods
`long` `getLimit()`
`java.lang.String` `getPath()`
`boolean` `isIncludeIDs()`
`void` `setIncludeIDs(boolean includeIDs)`
`void` `setLimit(long limit)`
`void` `setPath(java.lang.String path)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryReceivingOperation

`getRepositoryRoot, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnReceivingOperation

`first, getReceiver, initDefaults, last, receive, run, setReceiver`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnRepositoryGetHistory

    public SvnRepositoryGetHistory(SvnOperationFactory factory)

### Method Detail

#### getPath

    public java.lang.String getPath()

#### setPath

    public void setPath(java.lang.String path)

#### isIncludeIDs

    public boolean isIncludeIDs()

#### setIncludeIDs

    public void setIncludeIDs(boolean includeIDs)

#### getLimit

    public long getLimit()

#### setLimit

    public void setLimit(long limit)